// !$*UTF8*$!
{
	archiveVersion = 1;
	classes = {
	};
	objectVersion = 56;
	objects = {

/* Begin PBXBuildFile section */
		020B98142AD8C3140029DE4C /* SailassistApp.swift in Sources */ = {isa = PBXBuildFile; fileRef = 020B98132AD8C3140029DE4C /* SailassistApp.swift */; };
		020B98162AD8C3150029DE4C /* ContentView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 020B98152AD8C3150029DE4C /* ContentView.swift */; };
		020B98182AD8C3190029DE4C /* Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 020B98172AD8C3190029DE4C /* Assets.xcassets */; };
		020B981B2AD8C3190029DE4C /* Preview Assets.xcassets in Resources */ = {isa = PBXBuildFile; fileRef = 020B981A2AD8C3190029DE4C /* Preview Assets.xcassets */; };
		020B98252AD8C31A0029DE4C /* SailassistTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 020B98242AD8C31A0029DE4C /* SailassistTests.swift */; };
		020B982F2AD8C31A0029DE4C /* SailassistUITests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 020B982E2AD8C31A0029DE4C /* SailassistUITests.swift */; };
		020B98312AD8C31A0029DE4C /* SailassistUITestsLaunchTests.swift in Sources */ = {isa = PBXBuildFile; fileRef = 020B98302AD8C31A0029DE4C /* SailassistUITestsLaunchTests.swift */; };
		020B98412AD8C3810029DE4C /* LoginView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 020B98402AD8C3810029DE4C /* LoginView.swift */; };
		020B98442AD8E4910029DE4C /* FontStyle.swift in Sources */ = {isa = PBXBuildFile; fileRef = 020B98432AD8E4910029DE4C /* FontStyle.swift */; };
		020B98472AD8FEE30029DE4C /* ColorSet.swift in Sources */ = {isa = PBXBuildFile; fileRef = 020B98462AD8FEE30029DE4C /* ColorSet.swift */; };
		020B984B2AD915810029DE4C /* QRReadView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 020B984A2AD915810029DE4C /* QRReadView.swift */; };
		020B984D2AD9178F0029DE4C /* ScannerViewModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 020B984C2AD9178F0029DE4C /* ScannerViewModel.swift */; };
		020B984F2AD9182D0029DE4C /* InputUserNameView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 020B984E2AD9182D0029DE4C /* InputUserNameView.swift */; };
		020B98512AD9189A0029DE4C /* InputIdPassWordView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 020B98502AD9189A0029DE4C /* InputIdPassWordView.swift */; };
		020B98532AD919180029DE4C /* LoginTypeSelectView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 020B98522AD919180029DE4C /* LoginTypeSelectView.swift */; };
		020B98552AD924930029DE4C /* QrCodeScannerView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 020B98542AD924930029DE4C /* QrCodeScannerView.swift */; };
		020B98572AD924F50029DE4C /* CameraPreview.swift in Sources */ = {isa = PBXBuildFile; fileRef = 020B98562AD924F50029DE4C /* CameraPreview.swift */; };
		020B98592AD92A4C0029DE4C /* MainTabView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 020B98582AD92A4C0029DE4C /* MainTabView.swift */; };
		020B985E2ADCFF130029DE4C /* PreferencesKey.swift in Sources */ = {isa = PBXBuildFile; fileRef = 020B985D2ADCFF130029DE4C /* PreferencesKey.swift */; };
		020B98632ADD14E50029DE4C /* ChatView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 020B98622ADD14E40029DE4C /* ChatView.swift */; };
		020B98652ADD14F60029DE4C /* NotificationView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 020B98642ADD14F60029DE4C /* NotificationView.swift */; };
		020B98672ADD15050029DE4C /* MenuView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 020B98662ADD15050029DE4C /* MenuView.swift */; };
		020B98692ADD221E0029DE4C /* Preferences.swift in Sources */ = {isa = PBXBuildFile; fileRef = 020B98682ADD221D0029DE4C /* Preferences.swift */; };
		020B986C2ADD3E810029DE4C /* InTextLib.swift in Sources */ = {isa = PBXBuildFile; fileRef = 020B986B2ADD3E810029DE4C /* InTextLib.swift */; };
		020B986E2ADD3E8D0029DE4C /* DateTextLib.swift in Sources */ = {isa = PBXBuildFile; fileRef = 020B986D2ADD3E8D0029DE4C /* DateTextLib.swift */; };
		022789002AE1FE4600A87787 /* MapboxCommon.xcframework in Frameworks */ = {isa = PBXBuildFile; fileRef = 022788F92AE1FE3D00A87787 /* MapboxCommon.xcframework */; };
		022789012AE1FE4600A87787 /* MapboxCommon.xcframework in Embed Frameworks */ = {isa = PBXBuildFile; fileRef = 022788F92AE1FE3D00A87787 /* MapboxCommon.xcframework */; settings = {ATTRIBUTES = (CodeSignOnCopy, RemoveHeadersOnCopy, ); }; };
		022789022AE1FE4700A87787 /* MapboxCoreMaps.xcframework in Frameworks */ = {isa = PBXBuildFile; fileRef = 022788F82AE1FE3D00A87787 /* MapboxCoreMaps.xcframework */; };
		022789032AE1FE4700A87787 /* MapboxCoreMaps.xcframework in Embed Frameworks */ = {isa = PBXBuildFile; fileRef = 022788F82AE1FE3D00A87787 /* MapboxCoreMaps.xcframework */; settings = {ATTRIBUTES = (CodeSignOnCopy, RemoveHeadersOnCopy, ); }; };
		022789042AE1FE4900A87787 /* MapboxMaps.xcframework in Frameworks */ = {isa = PBXBuildFile; fileRef = 022788FA2AE1FE3D00A87787 /* MapboxMaps.xcframework */; };
		022789052AE1FE4900A87787 /* MapboxMaps.xcframework in Embed Frameworks */ = {isa = PBXBuildFile; fileRef = 022788FA2AE1FE3D00A87787 /* MapboxMaps.xcframework */; settings = {ATTRIBUTES = (CodeSignOnCopy, RemoveHeadersOnCopy, ); }; };
		022789062AE1FE4B00A87787 /* MapboxMobileEvents.xcframework in Frameworks */ = {isa = PBXBuildFile; fileRef = 022788F62AE1FE3C00A87787 /* MapboxMobileEvents.xcframework */; };
		022789072AE1FE4B00A87787 /* MapboxMobileEvents.xcframework in Embed Frameworks */ = {isa = PBXBuildFile; fileRef = 022788F62AE1FE3C00A87787 /* MapboxMobileEvents.xcframework */; settings = {ATTRIBUTES = (CodeSignOnCopy, RemoveHeadersOnCopy, ); }; };
		022789082AE1FE4C00A87787 /* Turf.xcframework in Frameworks */ = {isa = PBXBuildFile; fileRef = 022788F72AE1FE3C00A87787 /* Turf.xcframework */; };
		022789092AE1FE4C00A87787 /* Turf.xcframework in Embed Frameworks */ = {isa = PBXBuildFile; fileRef = 022788F72AE1FE3C00A87787 /* Turf.xcframework */; settings = {ATTRIBUTES = (CodeSignOnCopy, RemoveHeadersOnCopy, ); }; };
		0227890C2AE22E0B00A87787 /* SharingData.swift in Sources */ = {isa = PBXBuildFile; fileRef = 0227890B2AE22E0B00A87787 /* SharingData.swift */; };
		02CD068F2AE6535F005F8D8F /* MapSource.swift in Sources */ = {isa = PBXBuildFile; fileRef = 02CD068E2AE6535F005F8D8F /* MapSource.swift */; };
		02CD06912AE6536B005F8D8F /* LayerEnum.swift in Sources */ = {isa = PBXBuildFile; fileRef = 02CD06902AE6536B005F8D8F /* LayerEnum.swift */; };
		02CD06932AE88970005F8D8F /* ServerSession.swift in Sources */ = {isa = PBXBuildFile; fileRef = 02CD06922AE88970005F8D8F /* ServerSession.swift */; };
		02CD06952AE895F5005F8D8F /* APIError.swift in Sources */ = {isa = PBXBuildFile; fileRef = 02CD06942AE895F5005F8D8F /* APIError.swift */; };
		02CE4D7F2ADE42A9002E79BC /* MenuContentView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 02CE4D7E2ADE42A9002E79BC /* MenuContentView.swift */; };
		02CE4D832ADE672B002E79BC /* MapTaskView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 02CE4D822ADE672B002E79BC /* MapTaskView.swift */; };
		02CE4D852ADF6295002E79BC /* TaskSwitchingMenuView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 02CE4D842ADF6295002E79BC /* TaskSwitchingMenuView.swift */; };
		02CE4D872ADF62A7002E79BC /* EcaListView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 02CE4D862ADF62A7002E79BC /* EcaListView.swift */; };
		02CE4D892ADF62E1002E79BC /* EcaSettingView.swift in Sources */ = {isa = PBXBuildFile; fileRef = 02CE4D882ADF62E1002E79BC /* EcaSettingView.swift */; };
		02CE4DC82ADF97E8002E79BC /* View+Extensions.swift in Sources */ = {isa = PBXBuildFile; fileRef = 02CE4DC72ADF97E8002E79BC /* View+Extensions.swift */; };
		02CE4DCC2ADFA03F002E79BC /* SelectedTabModel.swift in Sources */ = {isa = PBXBuildFile; fileRef = 02CE4DCB2ADFA03F002E79BC /* SelectedTabModel.swift */; };
		02CE4DDA2ADFBA72002E79BC /* MapRepresentable.swift in Sources */ = {isa = PBXBuildFile; fileRef = 02CE4DD92ADFBA72002E79BC /* MapRepresentable.swift */; };
		D52D213A2AEBAC0500324D58 /* HttpRequestType.swift in Sources */ = {isa = PBXBuildFile; fileRef = D52D21392AEBAC0500324D58 /* HttpRequestType.swift */; };
		D52D213F2AEBB7D700324D58 /* RegisteredEca.swift in Sources */ = {isa = PBXBuildFile; fileRef = D52D213E2AEBB7D700324D58 /* RegisteredEca.swift */; };
		D52D21412AEDE18F00324D58 /* EcaCoordinatesTable.swift in Sources */ = {isa = PBXBuildFile; fileRef = D52D21402AEDE18F00324D58 /* EcaCoordinatesTable.swift */; };
		D5AE351A2AEBA66A00059889 /* ReqLogin.swift in Sources */ = {isa = PBXBuildFile; fileRef = D5AE35182AEBA66A00059889 /* ReqLogin.swift */; };
		D5AE351B2AEBA66A00059889 /* ResLogin.swift in Sources */ = {isa = PBXBuildFile; fileRef = D5AE35192AEBA66A00059889 /* ResLogin.swift */; };
		D5AE351D2AEBA6FC00059889 /* SessionLogin.swift in Sources */ = {isa = PBXBuildFile; fileRef = D5AE351C2AEBA6FC00059889 /* SessionLogin.swift */; };
		D5EA864A2AF213C90032E810 /* LocationCalculation.swift in Sources */ = {isa = PBXBuildFile; fileRef = D5EA86492AF213C90032E810 /* LocationCalculation.swift */; };
/* End PBXBuildFile section */

/* Begin PBXContainerItemProxy section */
		020B98212AD8C31A0029DE4C /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 020B98082AD8C3140029DE4C /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 020B980F2AD8C3140029DE4C;
			remoteInfo = forShip;
		};
		020B982B2AD8C31A0029DE4C /* PBXContainerItemProxy */ = {
			isa = PBXContainerItemProxy;
			containerPortal = 020B98082AD8C3140029DE4C /* Project object */;
			proxyType = 1;
			remoteGlobalIDString = 020B980F2AD8C3140029DE4C;
			remoteInfo = forShip;
		};
/* End PBXContainerItemProxy section */

/* Begin PBXCopyFilesBuildPhase section */
		02CE4DDD2ADFBAFC002E79BC /* Embed Frameworks */ = {
			isa = PBXCopyFilesBuildPhase;
			buildActionMask = 2147483647;
			dstPath = "";
			dstSubfolderSpec = 10;
			files = (
				022789032AE1FE4700A87787 /* MapboxCoreMaps.xcframework in Embed Frameworks */,
				022789072AE1FE4B00A87787 /* MapboxMobileEvents.xcframework in Embed Frameworks */,
				022789012AE1FE4600A87787 /* MapboxCommon.xcframework in Embed Frameworks */,
				022789092AE1FE4C00A87787 /* Turf.xcframework in Embed Frameworks */,
				022789052AE1FE4900A87787 /* MapboxMaps.xcframework in Embed Frameworks */,
			);
			name = "Embed Frameworks";
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXCopyFilesBuildPhase section */

/* Begin PBXFileReference section */
		020B98102AD8C3140029DE4C /* Sailassist.app */ = {isa = PBXFileReference; explicitFileType = wrapper.application; includeInIndex = 0; path = Sailassist.app; sourceTree = BUILT_PRODUCTS_DIR; };
		020B98132AD8C3140029DE4C /* SailassistApp.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SailassistApp.swift; sourceTree = "<group>"; };
		020B98152AD8C3150029DE4C /* ContentView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ContentView.swift; sourceTree = "<group>"; };
		020B98172AD8C3190029DE4C /* Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = Assets.xcassets; sourceTree = "<group>"; };
		020B981A2AD8C3190029DE4C /* Preview Assets.xcassets */ = {isa = PBXFileReference; lastKnownFileType = folder.assetcatalog; path = "Preview Assets.xcassets"; sourceTree = "<group>"; };
		020B98202AD8C31A0029DE4C /* SailAssistTests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = SailAssistTests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		020B98242AD8C31A0029DE4C /* SailassistTests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SailassistTests.swift; sourceTree = "<group>"; };
		020B982A2AD8C31A0029DE4C /* SailAssitUITests.xctest */ = {isa = PBXFileReference; explicitFileType = wrapper.cfbundle; includeInIndex = 0; path = SailAssitUITests.xctest; sourceTree = BUILT_PRODUCTS_DIR; };
		020B982E2AD8C31A0029DE4C /* SailassistUITests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SailassistUITests.swift; sourceTree = "<group>"; };
		020B98302AD8C31A0029DE4C /* SailassistUITestsLaunchTests.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SailassistUITestsLaunchTests.swift; sourceTree = "<group>"; };
		020B98402AD8C3810029DE4C /* LoginView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = LoginView.swift; sourceTree = "<group>"; };
		020B98432AD8E4910029DE4C /* FontStyle.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = FontStyle.swift; sourceTree = "<group>"; };
		020B98462AD8FEE30029DE4C /* ColorSet.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ColorSet.swift; sourceTree = "<group>"; };
		020B984A2AD915810029DE4C /* QRReadView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = QRReadView.swift; sourceTree = "<group>"; };
		020B984C2AD9178F0029DE4C /* ScannerViewModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ScannerViewModel.swift; sourceTree = "<group>"; };
		020B984E2AD9182D0029DE4C /* InputUserNameView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = InputUserNameView.swift; sourceTree = "<group>"; };
		020B98502AD9189A0029DE4C /* InputIdPassWordView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = InputIdPassWordView.swift; sourceTree = "<group>"; };
		020B98522AD919180029DE4C /* LoginTypeSelectView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = LoginTypeSelectView.swift; sourceTree = "<group>"; };
		020B98542AD924930029DE4C /* QrCodeScannerView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = QrCodeScannerView.swift; sourceTree = "<group>"; };
		020B98562AD924F50029DE4C /* CameraPreview.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = CameraPreview.swift; sourceTree = "<group>"; };
		020B98582AD92A4C0029DE4C /* MainTabView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MainTabView.swift; sourceTree = "<group>"; };
		020B985D2ADCFF130029DE4C /* PreferencesKey.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = PreferencesKey.swift; sourceTree = "<group>"; };
		020B98622ADD14E40029DE4C /* ChatView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ChatView.swift; sourceTree = "<group>"; };
		020B98642ADD14F60029DE4C /* NotificationView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = NotificationView.swift; sourceTree = "<group>"; };
		020B98662ADD15050029DE4C /* MenuView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MenuView.swift; sourceTree = "<group>"; };
		020B98682ADD221D0029DE4C /* Preferences.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = Preferences.swift; sourceTree = "<group>"; };
		020B986B2ADD3E810029DE4C /* InTextLib.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = InTextLib.swift; sourceTree = "<group>"; };
		020B986D2ADD3E8D0029DE4C /* DateTextLib.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; path = DateTextLib.swift; sourceTree = "<group>"; };
		022788F62AE1FE3C00A87787 /* MapboxMobileEvents.xcframework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.xcframework; path = MapboxMobileEvents.xcframework; sourceTree = "<group>"; };
		022788F72AE1FE3C00A87787 /* Turf.xcframework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.xcframework; path = Turf.xcframework; sourceTree = "<group>"; };
		022788F82AE1FE3D00A87787 /* MapboxCoreMaps.xcframework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.xcframework; path = MapboxCoreMaps.xcframework; sourceTree = "<group>"; };
		022788F92AE1FE3D00A87787 /* MapboxCommon.xcframework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.xcframework; path = MapboxCommon.xcframework; sourceTree = "<group>"; };
		022788FA2AE1FE3D00A87787 /* MapboxMaps.xcframework */ = {isa = PBXFileReference; lastKnownFileType = wrapper.xcframework; path = MapboxMaps.xcframework; sourceTree = "<group>"; };
		0227890B2AE22E0B00A87787 /* SharingData.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SharingData.swift; sourceTree = "<group>"; };
		02CD068E2AE6535F005F8D8F /* MapSource.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MapSource.swift; sourceTree = "<group>"; };
		02CD06902AE6536B005F8D8F /* LayerEnum.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = LayerEnum.swift; sourceTree = "<group>"; };
		02CD06922AE88970005F8D8F /* ServerSession.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = ServerSession.swift; sourceTree = "<group>"; };
		02CD06942AE895F5005F8D8F /* APIError.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = APIError.swift; sourceTree = "<group>"; };
		02CE4D7E2ADE42A9002E79BC /* MenuContentView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MenuContentView.swift; sourceTree = "<group>"; };
		02CE4D822ADE672B002E79BC /* MapTaskView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MapTaskView.swift; sourceTree = "<group>"; };
		02CE4D842ADF6295002E79BC /* TaskSwitchingMenuView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = TaskSwitchingMenuView.swift; sourceTree = "<group>"; };
		02CE4D862ADF62A7002E79BC /* EcaListView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = EcaListView.swift; sourceTree = "<group>"; };
		02CE4D882ADF62E1002E79BC /* EcaSettingView.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = EcaSettingView.swift; sourceTree = "<group>"; };
		02CE4DC72ADF97E8002E79BC /* View+Extensions.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = "View+Extensions.swift"; sourceTree = "<group>"; };
		02CE4DCB2ADFA03F002E79BC /* SelectedTabModel.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = SelectedTabModel.swift; sourceTree = "<group>"; };
		02CE4DCD2ADFB9FF002E79BC /* Info.plist */ = {isa = PBXFileReference; lastKnownFileType = text.plist; path = Info.plist; sourceTree = "<group>"; };
		02CE4DD92ADFBA72002E79BC /* MapRepresentable.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; path = MapRepresentable.swift; sourceTree = "<group>"; };
		D52D21392AEBAC0500324D58 /* HttpRequestType.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; name = HttpRequestType.swift; path = Sailassist/Http/HttpRequestType.swift; sourceTree = SOURCE_ROOT; };
		D52D213E2AEBB7D700324D58 /* RegisteredEca.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; name = RegisteredEca.swift; path = Sailassist/ECA/RegisteredEca.swift; sourceTree = SOURCE_ROOT; };
		D52D21402AEDE18F00324D58 /* EcaCoordinatesTable.swift */ = {isa = PBXFileReference; lastKnownFileType = sourcecode.swift; name = EcaCoordinatesTable.swift; path = Sailassist/ECA/EcaCoordinatesTable.swift; sourceTree = SOURCE_ROOT; };
		D5AE35182AEBA66A00059889 /* ReqLogin.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; name = ReqLogin.swift; path = Sailassist/Json/ReqLogin.swift; sourceTree = SOURCE_ROOT; };
		D5AE35192AEBA66A00059889 /* ResLogin.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; name = ResLogin.swift; path = Sailassist/Json/ResLogin.swift; sourceTree = SOURCE_ROOT; };
		D5AE351C2AEBA6FC00059889 /* SessionLogin.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; name = SessionLogin.swift; path = Sailassist/ServerSession/SessionLogin.swift; sourceTree = SOURCE_ROOT; };
		D5EA86492AF213C90032E810 /* LocationCalculation.swift */ = {isa = PBXFileReference; fileEncoding = 4; lastKnownFileType = sourcecode.swift; name = LocationCalculation.swift; path = ../../../../Sailassist_login/Seilassist/Sailassist/Location/LocationCalculation.swift; sourceTree = "<group>"; };
/* End PBXFileReference section */

/* Begin PBXFrameworksBuildPhase section */
		020B980D2AD8C3140029DE4C /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
				022789022AE1FE4700A87787 /* MapboxCoreMaps.xcframework in Frameworks */,
				022789002AE1FE4600A87787 /* MapboxCommon.xcframework in Frameworks */,
				022789042AE1FE4900A87787 /* MapboxMaps.xcframework in Frameworks */,
				022789082AE1FE4C00A87787 /* Turf.xcframework in Frameworks */,
				022789062AE1FE4B00A87787 /* MapboxMobileEvents.xcframework in Frameworks */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		020B981D2AD8C31A0029DE4C /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		020B98272AD8C31A0029DE4C /* Frameworks */ = {
			isa = PBXFrameworksBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXFrameworksBuildPhase section */

/* Begin PBXGroup section */
		020B98072AD8C3140029DE4C = {
			isa = PBXGroup;
			children = (
				02CE4DCE2ADFBA16002E79BC /* Fremeworks */,
				020B98122AD8C3140029DE4C /* SailAssist */,
				020B98232AD8C31A0029DE4C /* SailAssistTests */,
				020B982D2AD8C31A0029DE4C /* SailAssistUITests */,
				020B98112AD8C3140029DE4C /* Products */,
			);
			sourceTree = "<group>";
		};
		020B98112AD8C3140029DE4C /* Products */ = {
			isa = PBXGroup;
			children = (
				020B98102AD8C3140029DE4C /* Sailassist.app */,
				020B98202AD8C31A0029DE4C /* SailAssistTests.xctest */,
				020B982A2AD8C31A0029DE4C /* SailAssitUITests.xctest */,
			);
			name = Products;
			sourceTree = "<group>";
		};
		020B98122AD8C3140029DE4C /* SailAssist */ = {
			isa = PBXGroup;
			children = (
				D5EA86482AF2139D0032E810 /* Location */,
				D52D213B2AEBB78E00324D58 /* ECA */,
				D52D21382AEBABE700324D58 /* Http */,
				D5AE35172AEBA64800059889 /* Json */,
				022789122AE602D800A87787 /* ServerSession */,
				0227890A2AE22DFB00A87787 /* SharingData */,
				02CE4DCD2ADFB9FF002E79BC /* Info.plist */,
				02CE4DC62ADF97D8002E79BC /* Extensions */,
				020B986A2ADD3E4A0029DE4C /* Lib */,
				020B985C2ADCFEF90029DE4C /* Preferences */,
				020B98132AD8C3140029DE4C /* SailassistApp.swift */,
				020B98152AD8C3150029DE4C /* ContentView.swift */,
				020B98612ADD14AE0029DE4C /* Menu */,
				020B98602ADD149E0029DE4C /* Alert */,
				020B985F2ADD14970029DE4C /* Chat */,
				020B98452AD8F5E50029DE4C /* Constants */,
				020B983F2AD8C3690029DE4C /* Map */,
				020B983E2AD8C3500029DE4C /* Tab */,
				020B983D2AD8C34A0029DE4C /* Login */,
				020B98172AD8C3190029DE4C /* Assets.xcassets */,
				020B98192AD8C3190029DE4C /* Preview Content */,
			);
			path = SailAssist;
			sourceTree = "<group>";
		};
		020B98192AD8C3190029DE4C /* Preview Content */ = {
			isa = PBXGroup;
			children = (
				020B981A2AD8C3190029DE4C /* Preview Assets.xcassets */,
			);
			path = "Preview Content";
			sourceTree = "<group>";
		};
		020B98232AD8C31A0029DE4C /* SailAssistTests */ = {
			isa = PBXGroup;
			children = (
				020B98242AD8C31A0029DE4C /* SailassistTests.swift */,
			);
			path = SailAssistTests;
			sourceTree = "<group>";
		};
		020B982D2AD8C31A0029DE4C /* SailAssistUITests */ = {
			isa = PBXGroup;
			children = (
				020B982E2AD8C31A0029DE4C /* SailassistUITests.swift */,
				020B98302AD8C31A0029DE4C /* SailassistUITestsLaunchTests.swift */,
			);
			path = SailAssistUITests;
			sourceTree = "<group>";
		};
		020B983D2AD8C34A0029DE4C /* Login */ = {
			isa = PBXGroup;
			children = (
				020B98402AD8C3810029DE4C /* LoginView.swift */,
				020B98492AD915510029DE4C /* ViewModel */,
				020B98482AD915480029DE4C /* View */,
			);
			path = Login;
			sourceTree = "<group>";
		};
		020B983E2AD8C3500029DE4C /* Tab */ = {
			isa = PBXGroup;
			children = (
				02CE4DC92ADF9D2E002E79BC /* ViewModel */,
				020B98582AD92A4C0029DE4C /* MainTabView.swift */,
			);
			path = Tab;
			sourceTree = "<group>";
		};
		020B983F2AD8C3690029DE4C /* Map */ = {
			isa = PBXGroup;
			children = (
				0227890F2AE6028000A87787 /* Task */,
				02CE4DD92ADFBA72002E79BC /* MapRepresentable.swift */,
				02CD068E2AE6535F005F8D8F /* MapSource.swift */,
				02CD06902AE6536B005F8D8F /* LayerEnum.swift */,
			);
			path = Map;
			sourceTree = "<group>";
		};
		020B98452AD8F5E50029DE4C /* Constants */ = {
			isa = PBXGroup;
			children = (
				020B98432AD8E4910029DE4C /* FontStyle.swift */,
				020B98462AD8FEE30029DE4C /* ColorSet.swift */,
			);
			path = Constants;
			sourceTree = "<group>";
		};
		020B98482AD915480029DE4C /* View */ = {
			isa = PBXGroup;
			children = (
				020B98522AD919180029DE4C /* LoginTypeSelectView.swift */,
				020B98502AD9189A0029DE4C /* InputIdPassWordView.swift */,
				020B984E2AD9182D0029DE4C /* InputUserNameView.swift */,
				020B984A2AD915810029DE4C /* QRReadView.swift */,
				020B98542AD924930029DE4C /* QrCodeScannerView.swift */,
				020B98562AD924F50029DE4C /* CameraPreview.swift */,
			);
			path = View;
			sourceTree = "<group>";
		};
		020B98492AD915510029DE4C /* ViewModel */ = {
			isa = PBXGroup;
			children = (
				020B984C2AD9178F0029DE4C /* ScannerViewModel.swift */,
			);
			path = ViewModel;
			sourceTree = "<group>";
		};
		020B985C2ADCFEF90029DE4C /* Preferences */ = {
			isa = PBXGroup;
			children = (
				020B98682ADD221D0029DE4C /* Preferences.swift */,
				020B985D2ADCFF130029DE4C /* PreferencesKey.swift */,
			);
			path = Preferences;
			sourceTree = "<group>";
		};
		020B985F2ADD14970029DE4C /* Chat */ = {
			isa = PBXGroup;
			children = (
				020B98622ADD14E40029DE4C /* ChatView.swift */,
			);
			path = Chat;
			sourceTree = "<group>";
		};
		020B98602ADD149E0029DE4C /* Alert */ = {
			isa = PBXGroup;
			children = (
				020B98642ADD14F60029DE4C /* NotificationView.swift */,
			);
			path = Alert;
			sourceTree = "<group>";
		};
		020B98612ADD14AE0029DE4C /* Menu */ = {
			isa = PBXGroup;
			children = (
				02CE4D7D2ADE4297002E79BC /* View */,
				020B98662ADD15050029DE4C /* MenuView.swift */,
			);
			path = Menu;
			sourceTree = "<group>";
		};
		020B986A2ADD3E4A0029DE4C /* Lib */ = {
			isa = PBXGroup;
			children = (
				020B986D2ADD3E8D0029DE4C /* DateTextLib.swift */,
				020B986B2ADD3E810029DE4C /* InTextLib.swift */,
			);
			path = Lib;
			sourceTree = "<group>";
		};
		0227890A2AE22DFB00A87787 /* SharingData */ = {
			isa = PBXGroup;
			children = (
				0227890B2AE22E0B00A87787 /* SharingData.swift */,
			);
			path = SharingData;
			sourceTree = "<group>";
		};
		0227890F2AE6028000A87787 /* Task */ = {
			isa = PBXGroup;
			children = (
				022789112AE6028800A87787 /* ViewModel */,
				022789102AE6028400A87787 /* View */,
			);
			path = Task;
			sourceTree = "<group>";
		};
		022789102AE6028400A87787 /* View */ = {
			isa = PBXGroup;
			children = (
				02CE4D822ADE672B002E79BC /* MapTaskView.swift */,
				02CE4D842ADF6295002E79BC /* TaskSwitchingMenuView.swift */,
				02CE4D862ADF62A7002E79BC /* EcaListView.swift */,
				02CE4D882ADF62E1002E79BC /* EcaSettingView.swift */,
			);
			path = View;
			sourceTree = "<group>";
		};
		022789112AE6028800A87787 /* ViewModel */ = {
			isa = PBXGroup;
			children = (
			);
			path = ViewModel;
			sourceTree = "<group>";
		};
		022789122AE602D800A87787 /* ServerSession */ = {
			isa = PBXGroup;
			children = (
				D5AE351C2AEBA6FC00059889 /* SessionLogin.swift */,
				02CD06922AE88970005F8D8F /* ServerSession.swift */,
				02CD06942AE895F5005F8D8F /* APIError.swift */,
			);
			path = ServerSession;
			sourceTree = "<group>";
		};
		02CE4D7D2ADE4297002E79BC /* View */ = {
			isa = PBXGroup;
			children = (
				02CE4D7E2ADE42A9002E79BC /* MenuContentView.swift */,
			);
			path = View;
			sourceTree = "<group>";
		};
		02CE4DC62ADF97D8002E79BC /* Extensions */ = {
			isa = PBXGroup;
			children = (
				02CE4DC72ADF97E8002E79BC /* View+Extensions.swift */,
			);
			path = Extensions;
			sourceTree = "<group>";
		};
		02CE4DC92ADF9D2E002E79BC /* ViewModel */ = {
			isa = PBXGroup;
			children = (
				02CE4DCB2ADFA03F002E79BC /* SelectedTabModel.swift */,
			);
			path = ViewModel;
			sourceTree = "<group>";
		};
		02CE4DCE2ADFBA16002E79BC /* Fremeworks */ = {
			isa = PBXGroup;
			children = (
				022788F92AE1FE3D00A87787 /* MapboxCommon.xcframework */,
				022788F82AE1FE3D00A87787 /* MapboxCoreMaps.xcframework */,
				022788FA2AE1FE3D00A87787 /* MapboxMaps.xcframework */,
				022788F62AE1FE3C00A87787 /* MapboxMobileEvents.xcframework */,
				022788F72AE1FE3C00A87787 /* Turf.xcframework */,
			);
			path = Fremeworks;
			sourceTree = "<group>";
		};
		D52D21382AEBABE700324D58 /* Http */ = {
			isa = PBXGroup;
			children = (
				D52D21392AEBAC0500324D58 /* HttpRequestType.swift */,
			);
			path = Http;
			sourceTree = "<group>";
		};
		D52D213B2AEBB78E00324D58 /* ECA */ = {
			isa = PBXGroup;
			children = (
				D52D213E2AEBB7D700324D58 /* RegisteredEca.swift */,
				D52D21402AEDE18F00324D58 /* EcaCoordinatesTable.swift */,
			);
			path = ECA;
			sourceTree = "<group>";
		};
		D5AE35172AEBA64800059889 /* Json */ = {
			isa = PBXGroup;
			children = (
				D5AE35182AEBA66A00059889 /* ReqLogin.swift */,
				D5AE35192AEBA66A00059889 /* ResLogin.swift */,
			);
			path = Json;
			sourceTree = "<group>";
		};
		D5EA86482AF2139D0032E810 /* Location */ = {
			isa = PBXGroup;
			children = (
				D5EA86492AF213C90032E810 /* LocationCalculation.swift */,
			);
			path = Location;
			sourceTree = "<group>";
		};
/* End PBXGroup section */

/* Begin PBXNativeTarget section */
		020B980F2AD8C3140029DE4C /* Sailassist */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 020B98342AD8C31A0029DE4C /* Build configuration list for PBXNativeTarget "Sailassist" */;
			buildPhases = (
				020B980C2AD8C3140029DE4C /* Sources */,
				020B980D2AD8C3140029DE4C /* Frameworks */,
				020B980E2AD8C3140029DE4C /* Resources */,
				02CE4DDD2ADFBAFC002E79BC /* Embed Frameworks */,
			);
			buildRules = (
			);
			dependencies = (
			);
			name = Sailassist;
			productName = forShip;
			productReference = 020B98102AD8C3140029DE4C /* Sailassist.app */;
			productType = "com.apple.product-type.application";
		};
		020B981F2AD8C31A0029DE4C /* SailAssistTests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 020B98372AD8C31A0029DE4C /* Build configuration list for PBXNativeTarget "SailAssistTests" */;
			buildPhases = (
				020B981C2AD8C31A0029DE4C /* Sources */,
				020B981D2AD8C31A0029DE4C /* Frameworks */,
				020B981E2AD8C31A0029DE4C /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				020B98222AD8C31A0029DE4C /* PBXTargetDependency */,
			);
			name = SailAssistTests;
			productName = forShipTests;
			productReference = 020B98202AD8C31A0029DE4C /* SailAssistTests.xctest */;
			productType = "com.apple.product-type.bundle.unit-test";
		};
		020B98292AD8C31A0029DE4C /* SailAssitUITests */ = {
			isa = PBXNativeTarget;
			buildConfigurationList = 020B983A2AD8C31A0029DE4C /* Build configuration list for PBXNativeTarget "SailAssitUITests" */;
			buildPhases = (
				020B98262AD8C31A0029DE4C /* Sources */,
				020B98272AD8C31A0029DE4C /* Frameworks */,
				020B98282AD8C31A0029DE4C /* Resources */,
			);
			buildRules = (
			);
			dependencies = (
				020B982C2AD8C31A0029DE4C /* PBXTargetDependency */,
			);
			name = SailAssitUITests;
			productName = forShipUITests;
			productReference = 020B982A2AD8C31A0029DE4C /* SailAssitUITests.xctest */;
			productType = "com.apple.product-type.bundle.ui-testing";
		};
/* End PBXNativeTarget section */

/* Begin PBXProject section */
		020B98082AD8C3140029DE4C /* Project object */ = {
			isa = PBXProject;
			attributes = {
				BuildIndependentTargetsInParallel = 1;
				LastSwiftUpdateCheck = 1500;
				LastUpgradeCheck = 1500;
				TargetAttributes = {
					020B980F2AD8C3140029DE4C = {
						CreatedOnToolsVersion = 15.0;
					};
					020B981F2AD8C31A0029DE4C = {
						CreatedOnToolsVersion = 15.0;
						TestTargetID = 020B980F2AD8C3140029DE4C;
					};
					020B98292AD8C31A0029DE4C = {
						CreatedOnToolsVersion = 15.0;
						TestTargetID = 020B980F2AD8C3140029DE4C;
					};
				};
			};
			buildConfigurationList = 020B980B2AD8C3140029DE4C /* Build configuration list for PBXProject "Sailassist" */;
			compatibilityVersion = "Xcode 14.0";
			developmentRegion = en;
			hasScannedForEncodings = 0;
			knownRegions = (
				en,
				Base,
			);
			mainGroup = 020B98072AD8C3140029DE4C;
			productRefGroup = 020B98112AD8C3140029DE4C /* Products */;
			projectDirPath = "";
			projectRoot = "";
			targets = (
				020B980F2AD8C3140029DE4C /* Sailassist */,
				020B981F2AD8C31A0029DE4C /* SailAssistTests */,
				020B98292AD8C31A0029DE4C /* SailAssitUITests */,
			);
		};
/* End PBXProject section */

/* Begin PBXResourcesBuildPhase section */
		020B980E2AD8C3140029DE4C /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				020B981B2AD8C3190029DE4C /* Preview Assets.xcassets in Resources */,
				020B98182AD8C3190029DE4C /* Assets.xcassets in Resources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		020B981E2AD8C31A0029DE4C /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		020B98282AD8C31A0029DE4C /* Resources */ = {
			isa = PBXResourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXResourcesBuildPhase section */

/* Begin PBXSourcesBuildPhase section */
		020B980C2AD8C3140029DE4C /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				D52D21412AEDE18F00324D58 /* EcaCoordinatesTable.swift in Sources */,
				02CD06912AE6536B005F8D8F /* LayerEnum.swift in Sources */,
				020B98532AD919180029DE4C /* LoginTypeSelectView.swift in Sources */,
				D52D213F2AEBB7D700324D58 /* RegisteredEca.swift in Sources */,
				D5EA864A2AF213C90032E810 /* LocationCalculation.swift in Sources */,
				02CD06952AE895F5005F8D8F /* APIError.swift in Sources */,
				02CE4DC82ADF97E8002E79BC /* View+Extensions.swift in Sources */,
				020B98412AD8C3810029DE4C /* LoginView.swift in Sources */,
				D5AE351D2AEBA6FC00059889 /* SessionLogin.swift in Sources */,
				020B98552AD924930029DE4C /* QrCodeScannerView.swift in Sources */,
				02CE4D7F2ADE42A9002E79BC /* MenuContentView.swift in Sources */,
				D5AE351B2AEBA66A00059889 /* ResLogin.swift in Sources */,
				02CE4D832ADE672B002E79BC /* MapTaskView.swift in Sources */,
				02CE4DCC2ADFA03F002E79BC /* SelectedTabModel.swift in Sources */,
				020B98162AD8C3150029DE4C /* ContentView.swift in Sources */,
				020B98632ADD14E50029DE4C /* ChatView.swift in Sources */,
				02CE4DDA2ADFBA72002E79BC /* MapRepresentable.swift in Sources */,
				020B985E2ADCFF130029DE4C /* PreferencesKey.swift in Sources */,
				0227890C2AE22E0B00A87787 /* SharingData.swift in Sources */,
				020B984D2AD9178F0029DE4C /* ScannerViewModel.swift in Sources */,
				020B98142AD8C3140029DE4C /* SailassistApp.swift in Sources */,
				02CE4D852ADF6295002E79BC /* TaskSwitchingMenuView.swift in Sources */,
				020B984B2AD915810029DE4C /* QRReadView.swift in Sources */,
				020B98692ADD221E0029DE4C /* Preferences.swift in Sources */,
				02CD06932AE88970005F8D8F /* ServerSession.swift in Sources */,
				020B98592AD92A4C0029DE4C /* MainTabView.swift in Sources */,
				020B984F2AD9182D0029DE4C /* InputUserNameView.swift in Sources */,
				D5AE351A2AEBA66A00059889 /* ReqLogin.swift in Sources */,
				020B98512AD9189A0029DE4C /* InputIdPassWordView.swift in Sources */,
				D52D213A2AEBAC0500324D58 /* HttpRequestType.swift in Sources */,
				020B986E2ADD3E8D0029DE4C /* DateTextLib.swift in Sources */,
				020B98672ADD15050029DE4C /* MenuView.swift in Sources */,
				020B98572AD924F50029DE4C /* CameraPreview.swift in Sources */,
				02CD068F2AE6535F005F8D8F /* MapSource.swift in Sources */,
				020B98442AD8E4910029DE4C /* FontStyle.swift in Sources */,
				02CE4D892ADF62E1002E79BC /* EcaSettingView.swift in Sources */,
				02CE4D872ADF62A7002E79BC /* EcaListView.swift in Sources */,
				020B986C2ADD3E810029DE4C /* InTextLib.swift in Sources */,
				020B98472AD8FEE30029DE4C /* ColorSet.swift in Sources */,
				020B98652ADD14F60029DE4C /* NotificationView.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		020B981C2AD8C31A0029DE4C /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				020B98252AD8C31A0029DE4C /* SailassistTests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
		020B98262AD8C31A0029DE4C /* Sources */ = {
			isa = PBXSourcesBuildPhase;
			buildActionMask = 2147483647;
			files = (
				020B98312AD8C31A0029DE4C /* SailassistUITestsLaunchTests.swift in Sources */,
				020B982F2AD8C31A0029DE4C /* SailassistUITests.swift in Sources */,
			);
			runOnlyForDeploymentPostprocessing = 0;
		};
/* End PBXSourcesBuildPhase section */

/* Begin PBXTargetDependency section */
		020B98222AD8C31A0029DE4C /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 020B980F2AD8C3140029DE4C /* Sailassist */;
			targetProxy = 020B98212AD8C31A0029DE4C /* PBXContainerItemProxy */;
		};
		020B982C2AD8C31A0029DE4C /* PBXTargetDependency */ = {
			isa = PBXTargetDependency;
			target = 020B980F2AD8C3140029DE4C /* Sailassist */;
			targetProxy = 020B982B2AD8C31A0029DE4C /* PBXContainerItemProxy */;
		};
/* End PBXTargetDependency section */

/* Begin XCBuildConfiguration section */
		020B98322AD8C31A0029DE4C /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				ASSETCATALOG_COMPILER_GENERATE_SWIFT_ASSET_SYMBOL_EXTENSIONS = YES;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++20";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = dwarf;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_TESTABILITY = YES;
				ENABLE_USER_SCRIPT_SANDBOXING = YES;
				GCC_C_LANGUAGE_STANDARD = gnu17;
				GCC_DYNAMIC_NO_PIC = NO;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_OPTIMIZATION_LEVEL = 0;
				GCC_PREPROCESSOR_DEFINITIONS = (
					"DEBUG=1",
					"$(inherited)",
				);
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 17.0;
				LOCALIZATION_PREFERS_STRING_CATALOGS = YES;
				MTL_ENABLE_DEBUG_INFO = INCLUDE_SOURCE;
				MTL_FAST_MATH = YES;
				ONLY_ACTIVE_ARCH = YES;
				SDKROOT = iphoneos;
				SWIFT_ACTIVE_COMPILATION_CONDITIONS = "DEBUG $(inherited)";
				SWIFT_OPTIMIZATION_LEVEL = "-Onone";
			};
			name = Debug;
		};
		020B98332AD8C31A0029DE4C /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_SEARCH_USER_PATHS = NO;
				ASSETCATALOG_COMPILER_GENERATE_SWIFT_ASSET_SYMBOL_EXTENSIONS = YES;
				CLANG_ANALYZER_NONNULL = YES;
				CLANG_ANALYZER_NUMBER_OBJECT_CONVERSION = YES_AGGRESSIVE;
				CLANG_CXX_LANGUAGE_STANDARD = "gnu++20";
				CLANG_ENABLE_MODULES = YES;
				CLANG_ENABLE_OBJC_ARC = YES;
				CLANG_ENABLE_OBJC_WEAK = YES;
				CLANG_WARN_BLOCK_CAPTURE_AUTORELEASING = YES;
				CLANG_WARN_BOOL_CONVERSION = YES;
				CLANG_WARN_COMMA = YES;
				CLANG_WARN_CONSTANT_CONVERSION = YES;
				CLANG_WARN_DEPRECATED_OBJC_IMPLEMENTATIONS = YES;
				CLANG_WARN_DIRECT_OBJC_ISA_USAGE = YES_ERROR;
				CLANG_WARN_DOCUMENTATION_COMMENTS = YES;
				CLANG_WARN_EMPTY_BODY = YES;
				CLANG_WARN_ENUM_CONVERSION = YES;
				CLANG_WARN_INFINITE_RECURSION = YES;
				CLANG_WARN_INT_CONVERSION = YES;
				CLANG_WARN_NON_LITERAL_NULL_CONVERSION = YES;
				CLANG_WARN_OBJC_IMPLICIT_RETAIN_SELF = YES;
				CLANG_WARN_OBJC_LITERAL_CONVERSION = YES;
				CLANG_WARN_OBJC_ROOT_CLASS = YES_ERROR;
				CLANG_WARN_QUOTED_INCLUDE_IN_FRAMEWORK_HEADER = YES;
				CLANG_WARN_RANGE_LOOP_ANALYSIS = YES;
				CLANG_WARN_STRICT_PROTOTYPES = YES;
				CLANG_WARN_SUSPICIOUS_MOVE = YES;
				CLANG_WARN_UNGUARDED_AVAILABILITY = YES_AGGRESSIVE;
				CLANG_WARN_UNREACHABLE_CODE = YES;
				CLANG_WARN__DUPLICATE_METHOD_MATCH = YES;
				COPY_PHASE_STRIP = NO;
				DEBUG_INFORMATION_FORMAT = "dwarf-with-dsym";
				ENABLE_NS_ASSERTIONS = NO;
				ENABLE_STRICT_OBJC_MSGSEND = YES;
				ENABLE_USER_SCRIPT_SANDBOXING = YES;
				GCC_C_LANGUAGE_STANDARD = gnu17;
				GCC_NO_COMMON_BLOCKS = YES;
				GCC_WARN_64_TO_32_BIT_CONVERSION = YES;
				GCC_WARN_ABOUT_RETURN_TYPE = YES_ERROR;
				GCC_WARN_UNDECLARED_SELECTOR = YES;
				GCC_WARN_UNINITIALIZED_AUTOS = YES_AGGRESSIVE;
				GCC_WARN_UNUSED_FUNCTION = YES;
				GCC_WARN_UNUSED_VARIABLE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 17.0;
				LOCALIZATION_PREFERS_STRING_CATALOGS = YES;
				MTL_ENABLE_DEBUG_INFO = NO;
				MTL_FAST_MATH = YES;
				SDKROOT = iphoneos;
				SWIFT_COMPILATION_MODE = wholemodule;
				VALIDATE_PRODUCT = YES;
			};
			name = Release;
		};
		020B98352AD8C31A0029DE4C /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_ASSET_PATHS = "\"Sailassist/Preview Content\"";
				DEVELOPMENT_TEAM = D2DC7QNNJ8;
				ENABLE_PREVIEWS = YES;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = Sailassist/Info.plist;
				INFOPLIST_KEY_NSCameraUsageDescription = "QRコードの読み取りにカメラを使用します。";
				INFOPLIST_KEY_UIApplicationSceneManifest_Generation = YES;
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchScreen_Generation = YES;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = "UIInterfaceOrientationPortrait UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				IPHONEOS_DEPLOYMENT_TARGET = 16.4;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = test.sugita.sailassist;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Debug;
		};
		020B98362AD8C31A0029DE4C /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ASSETCATALOG_COMPILER_APPICON_NAME = AppIcon;
				ASSETCATALOG_COMPILER_GLOBAL_ACCENT_COLOR_NAME = AccentColor;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_ASSET_PATHS = "\"Sailassist/Preview Content\"";
				DEVELOPMENT_TEAM = D2DC7QNNJ8;
				ENABLE_PREVIEWS = YES;
				GENERATE_INFOPLIST_FILE = YES;
				INFOPLIST_FILE = Sailassist/Info.plist;
				INFOPLIST_KEY_NSCameraUsageDescription = "QRコードの読み取りにカメラを使用します。";
				INFOPLIST_KEY_UIApplicationSceneManifest_Generation = YES;
				INFOPLIST_KEY_UIApplicationSupportsIndirectInputEvents = YES;
				INFOPLIST_KEY_UILaunchScreen_Generation = YES;
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPad = "UIInterfaceOrientationPortrait UIInterfaceOrientationPortraitUpsideDown UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				INFOPLIST_KEY_UISupportedInterfaceOrientations_iPhone = "UIInterfaceOrientationPortrait UIInterfaceOrientationLandscapeLeft UIInterfaceOrientationLandscapeRight";
				IPHONEOS_DEPLOYMENT_TARGET = 16.4;
				LD_RUNPATH_SEARCH_PATHS = (
					"$(inherited)",
					"@executable_path/Frameworks",
				);
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = test.sugita.sailassist;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = YES;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
			};
			name = Release;
		};
		020B98382AD8C31A0029DE4C /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = 886VZM9928;
				GENERATE_INFOPLIST_FILE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 17.0;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = test.sugita.forShipTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/Sailassist.app/$(BUNDLE_EXECUTABLE_FOLDER_PATH)/Sailassist";
			};
			name = Debug;
		};
		020B98392AD8C31A0029DE4C /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				BUNDLE_LOADER = "$(TEST_HOST)";
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = 886VZM9928;
				GENERATE_INFOPLIST_FILE = YES;
				IPHONEOS_DEPLOYMENT_TARGET = 17.0;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = test.sugita.forShipTests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_HOST = "$(BUILT_PRODUCTS_DIR)/Sailassist.app/$(BUNDLE_EXECUTABLE_FOLDER_PATH)/Sailassist";
			};
			name = Release;
		};
		020B983B2AD8C31A0029DE4C /* Debug */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = 886VZM9928;
				GENERATE_INFOPLIST_FILE = YES;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = test.sugita.forShipUITests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = forShip;
			};
			name = Debug;
		};
		020B983C2AD8C31A0029DE4C /* Release */ = {
			isa = XCBuildConfiguration;
			buildSettings = {
				ALWAYS_EMBED_SWIFT_STANDARD_LIBRARIES = YES;
				CODE_SIGN_STYLE = Automatic;
				CURRENT_PROJECT_VERSION = 1;
				DEVELOPMENT_TEAM = 886VZM9928;
				GENERATE_INFOPLIST_FILE = YES;
				MARKETING_VERSION = 1.0;
				PRODUCT_BUNDLE_IDENTIFIER = test.sugita.forShipUITests;
				PRODUCT_NAME = "$(TARGET_NAME)";
				SWIFT_EMIT_LOC_STRINGS = NO;
				SWIFT_VERSION = 5.0;
				TARGETED_DEVICE_FAMILY = "1,2";
				TEST_TARGET_NAME = forShip;
			};
			name = Release;
		};
/* End XCBuildConfiguration section */

/* Begin XCConfigurationList section */
		020B980B2AD8C3140029DE4C /* Build configuration list for PBXProject "Sailassist" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				020B98322AD8C31A0029DE4C /* Debug */,
				020B98332AD8C31A0029DE4C /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		020B98342AD8C31A0029DE4C /* Build configuration list for PBXNativeTarget "Sailassist" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				020B98352AD8C31A0029DE4C /* Debug */,
				020B98362AD8C31A0029DE4C /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		020B98372AD8C31A0029DE4C /* Build configuration list for PBXNativeTarget "SailAssistTests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				020B98382AD8C31A0029DE4C /* Debug */,
				020B98392AD8C31A0029DE4C /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
		020B983A2AD8C31A0029DE4C /* Build configuration list for PBXNativeTarget "SailAssitUITests" */ = {
			isa = XCConfigurationList;
			buildConfigurations = (
				020B983B2AD8C31A0029DE4C /* Debug */,
				020B983C2AD8C31A0029DE4C /* Release */,
			);
			defaultConfigurationIsVisible = 0;
			defaultConfigurationName = Release;
		};
/* End XCConfigurationList section */
	};
	rootObject = 020B98082AD8C3140029DE4C /* Project object */;
}
